Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Functions
global_functions.php File Reference

Go to the source code of this file.

## Functions
| eZDisplayDebug ()
| eZDisplayResult ( $templateResult)
| eZUpdateDebugSettings ()
| eZAppendWarningItem ( $parameters=array())
| fetchModule (eZURI $uri, $check, &$module, &$moduleName, &$functionName, &$params)

## Function Documentation

## ◆ eZAppendWarningItem()

eZAppendWarningItem | ( |  | $parameters = `array()` | ) |

Appends a new warning item to the warning list. a $parameters must contain an error and text key.

Deprecated:
  Since 5.0

Parameters

  array | $parameters |

Definition at line 119 of file global_functions.php.

Referenced by ezpbKernelAdmin\redirect(), ezpbKernelWeb\redirect(), ezpKernelWeb\redirect(), and ezpKernelWeb\run().

## ◆ eZDisplayDebug()

eZDisplayDebug | ( |  | ) |

File containing the global Exponential 4 functions

Deprecated:
  Since 5.0

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag//

Deprecated:
  Since 5.0

Returns
  null

Definition at line 17 of file global_functions.php.

References $ini, $result, $tpl, $type, eZDebug\appendBottomReport(), eZDebug\appendTopReport(), eZDebug\printReport(), and eZDebug\setScriptStop().

Referenced by eZDisplayResult().

## ◆ eZDisplayResult()

eZDisplayResult | ( |  | $templateResult | ) |

Deprecated:
  Since 5.0

Parameters

  string | null | $templateResult |

Definition at line 56 of file global_functions.php.

References eZDisplayDebug(), and ezpEvent\getInstance().

Referenced by ezpbKernelAdmin\redirect(), ezpbKernelWeb\redirect(), ezpKernelWeb\redirect(), ezpbKernelAdmin\run(), ezpbKernelWeb\run(), ezpKernelWeb\run(), ezpbKernelAdmin\setupFatalErrorHandler(), ezpbKernelWeb\setupFatalErrorHandler(), and ezpKernelWeb\setupFatalErrorHandler().

## ◆ eZUpdateDebugSettings()

eZUpdateDebugSettings | ( |  | ) |

Reads settings from site.ini and passes them to eZDebug

Deprecated:
  Since 5.0

Definition at line 88 of file global_functions.php.

References $level, $logList, $name, eZDebug\LEVEL_DEBUG, eZDebug\LEVEL_ERROR, eZDebug\LEVEL_NOTICE, eZDebug\LEVEL_STRICT, eZDebug\LEVEL_WARNING, and eZDebug\updateSettings().

Referenced by ezpbKernelAdmin\__construct(), ezpbKernelWeb\__construct(), ezpKernelWeb\__construct(), and eZSiteAccess\change().

## ◆ fetchModule()

fetchModule | ( | eZURI | $uri,
|  |  | $check,
|  | & | $module,
|  | & | $moduleName,
|  | & | $functionName,
|  | & | $params
| ) |  |

Deprecated:
  Since 5.0

Parameters

  \eZURI | $uri |
  null | array | $check |
  null | \eZModule | $module | ByRef, will be set to a eZModule instace based on $moduleName
  string | $moduleName |
  string | $functionName |
  array | $params |

Returns
  bool

Definition at line 144 of file global_functions.php.

References $module, $uri, and eZModule\exists().

Referenced by ezpbKernelAdmin\dispatchLoop(), ezpbKernelWeb\dispatchLoop(), and ezpKernelWeb\dispatchLoop().

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.